Bug 15407 - I18N - Some create table dialog labels do not come from locale specific files
I18N - Some create table dialog labels do not come from locale specific files
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: TBD
Assigned To: Radko Najman
issues@db
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 15:24 UTC by issues@www
Modified: 2005-03-09 04:28 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2001-09-12 15:24:53 UTC
Description: 
1.The create table dialog display is not put into Japanese.(Image1.tif)
  Expand a database node and select "Tables".then clic right mouse button.
  Select "Create Table..." in the menu.
  Create table dialog is displayed.
  The setting item is not put into Japanese from "Key" even to "Check   
  constraint" in a create table dialog.

2.The property of a column display is not put into Japanese.(Image2.tif)
  Click created table/column node in Explorer and check if properties window
  "index" item is not put into Jpanese. 



*Build:010714_ee_ja
*OS:Solaris
*JDK:JDK1.3.1
*Oracle 8i v8.1.7/Oracle thin driver
------------------------------------
*Build:010714_ee_ja
*OS:Solaris
*JDK:JDK1.3.1
*IBM DB2/DB2 jdbc driver
------------------------
xxx@xxxx 2001-07-23

*Build:010714_ee_ja
*OS:Solaris
*JDK:JDK1.3.1
*MS SQL 2000/weblogic driver
----------------------------
xxx@xxxx 2001-07-24

Evaluation: 
ad 1 - There is in create table dialog a pane of the table's columns; field's 
names are read from CreateTableDialog.plist file and this file can't be 
localized.

ad 2 - The lable Index was missing in Bundle.properties in db.jar.
This part was fixed and integrated in 3-fcs.

A comment.
Comment 1 Radko Najman 2001-10-19 14:47:48 UTC
Fixed. All create table dialog labels come from locale specific files now.
Comment 2 Keiichi Oono 2001-12-04 10:49:30 UTC
I close this issue because I verified first one on Beta5. And I also
report separated new issue for second one.
Actually, this report includes two problems. First one is the create
table dialog, and the second one is "index" messages on Properties
Window. As Radko mentioned, first problem (create table dialog) has
been fixed.
Comment 3 Jesse Glick 2002-12-23 16:37:32 UTC
Consistent use of the I18N keyword.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo